Hyperic HQ Plugin API v. 2.5.dev

## net.hyperic.hq.product
Class PlatformResource

    java.lang.Object
      net.hyperic.hq.appdef.shared.AIAppdefResourceValue
          net.hyperic.hq.appdef.shared.AIPlatformValue
              net.hyperic.hq.product.PlatformResource

All Implemented Interfaces:
  java.io.Serializable

public class PlatformResource
extends net.hyperic.hq.appdef.shared.AIPlatformValue

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.hyperic.hq.appdef.shared.AIPlatformValue
`addedAIIpValues, addedAIServerValues, removedAIIpValues, removedAIServerValues, updatedAIIpValues, updatedAIServerValues`

Constructor Summary
`PlatformResource()`

Method Summary
`void` `addInterface(java.lang.String address, java.lang.String netmask, java.lang.String mac)`
`void` `setControlConfig(ConfigResponse config)`
`void` `setCustomProperties(ConfigResponse config)`
`void` `setMeasurementConfig(ConfigResponse config)`
`void` `setProductConfig(ConfigResponse config)`

Methods inherited from class net.hyperic.hq.appdef.shared.AIPlatformValue

`addAIIpValue, addAIServerValue, agentTokenHasBeenSet, certdnHasBeenSet, cleanAIIpValue, cleanAIServerValue, controlConfigHasBeenSet, copyAIIpValuesFrom, copyAIServerValuesFrom, cpuCountHasBeenSet, cTimeHasBeenSet, customPropertiesHasBeenSet, descriptionHasBeenSet, diffHasBeenSet, equals, fqdnHasBeenSet, getAddedAIIpValues, getAddedAIServerValues, getAgentToken, getAIIpValues, getAIServerValues, getCertdn, getControlConfig, getCpuCount, getCTime, getCustomProperties, getDescription, getDiff, getFqdn, getId, getIgnored, getLastApproved, getLocation, getMeasurementConfig, getMTime, getName, getPlatformTypeName, getPrimaryKey, getProductConfig, getQueueStatus, getRemovedAIIpValues, getRemovedAIServerValues, getUpdatedAIIpValues, getUpdatedAIServerValues, hashCode, hasIdentity, idHasBeenSet, ignoredHasBeenSet, isIdentical, lastApprovedHasBeenSet, locationHasBeenSet, measurementConfigHasBeenSet, mTimeHasBeenSet, nameHasBeenSet, platformTypeNameHasBeenSet, productConfigHasBeenSet, queueStatusHasBeenSet, removeAIIpValue, removeAIServerValue, removeAllAIIpValues, removeAllAIServerValues, setAgentToken, setCertdn, setControlConfig, setCpuCount, setCTime, setCustomProperties, setDescription, setDiff, setFqdn, setId, setIgnored, setLastApproved, setLocation, setMeasurementConfig, setMTime, setName, setPlatformTypeName, setProductConfig, setQueueStatus, toString, updateAIIpValue, updateAIServerValue`

Methods inherited from class net.hyperic.hq.appdef.shared.AIAppdefResourceValue
`getQueueStatusStr, isPlatformDevice`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PlatformResource

    public PlatformResource()

Method Detail

### addInterface

    public void addInterface(java.lang.String address,
                             java.lang.String netmask,
                             java.lang.String mac)

### setCustomProperties

    public void setCustomProperties(ConfigResponse config)

### setProductConfig

    public void setProductConfig(ConfigResponse config)

### setMeasurementConfig

    public void setMeasurementConfig(ConfigResponse config)

### setControlConfig

    public void setControlConfig(ConfigResponse config)

Hyperic HQ Plugin API v. 2.5.dev

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.